{
	"name": "form/nc/report/nc-report/delivery-reliability/query/delivery-reliability-selection.json",
	"table": [
		{
			"record_type": ["sales"],
			"table": "order_row"
		}
	],
	"parameter": {
		"show_sql": true,
		"packing_material_type": "plugin/nc-calc-server/constant.json/product_type.packing_material",
		"packing_cost_type": "plugin/nc-calc-server/constant.json/product_type.packing_cost",
		"selection": []
	},
	"query": [
		["ordr.delivery_state", "=", "LT"],
		"and",
		["ordr.record_id", "in", "selection"],
		"and",
		["ordr.delivery_date", "<>", "0000-00-00"],
		"and",
		["pr.product_type", "<>", "packing_material_type"],
		"and",
		["pr.product_type", "<>", "packing_cost_type"]
	],
	"field": [
		"ordr.confirmed_delivery_date",
		"ordr.first_conf_delivery_date",
		"ordr.actual_delivery_date",
		"ordr.delivery_date",
		"ordr.order_id",
		"ordr.row_number",
		"ord.company_id",
		"co.name"
	]
}
